### *** This class provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.discovery

# Class DiscoveryServiceConfiguration

java.lang.Object
com.sas.services.ServiceConfiguration
com.sas.services.discovery.DiscoveryServiceConfiguration

All Implemented Interfaces:
  `ServiceConfigurationInterface`, `Serializable`

@SASScope("ALL") @BinaryCompatibilityOnly public class DiscoveryServiceConfiguration extends ServiceConfiguration
Configuration data for initializing or reconfiguring a Discovery service.

During a service deployment an instance of this class will be created based upon some configuration (i.e. an XML initialization fragment obtained from OMR, etc.). This instance will then be passed to the `com.sas.services.discovery.DiscoveryServiceFactory#getService(com.sas.services.ServiceConfigurationInterface)` method to get an instance of an initialized discovery service.

An instance of this class may also be used to reconfigure a discovery service by being passed as a parameter to `AbstractDiscoveryService#configure(ServiceConfigurationInterface)`

Implementation use of this class depends upon finalization of the OMR representation of a service deployment. It just serves as a placeholder for future development.

Since:
  1.0
See Also:
  - `DiscoveryServiceFactory`
  - Serialized Form

- ## Field Summary

  ### Fields inherited from interface com.sas.services.ServiceConfigurationInterface

  `CONFIGURATION_METADATA_SOURCE, CONFIGURATION_SERVICE_DISCOVERY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DiscoveryServiceConfiguration()`

- ## Method Summary

  ### Methods inherited from class com.sas.services.ServiceConfiguration

  `addServiceConfiguration, getEnvironment, getInitializationObject, getServiceConfiguration, getServiceConfigurations, removeServiceConfiguration, setEnvironment, setInitializationObject`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DiscoveryServiceConfiguration

    public DiscoveryServiceConfiguration()